Bug 595924 - [abrt] crash in compiz-0.8.6-1.fc13: i830_emit_state: Process /usr/bin/compiz was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in compiz-0.8.6-1.fc13: i830_emit_state: Process /usr/bin/compiz...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2b7b83c956c3b2402493d5bd4ea...
Keywords:
: 583794 586236 597231 597345 597459 598176 598352 598628 599580 600533 600829 602758 603607 604252 604285 604642 604946 605910 606232 607339 607703 608427 608479 608730 609205 611928 612147 613403 626154 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 22:22 UTC by Travis Wenks
Modified: 2011-06-27 16:39 UTC (History)
56 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-06-27 16:39:33 UTC


Attachments (Terms of Use)
File: backtrace (51.79 KB, text/plain)
2010-05-25 22:22 UTC, Travis Wenks
no flags Details
dmesg output (35.64 KB, text/plain)
2010-06-08 05:36 UTC, Gerard Fernandes
no flags Details
Xorg logs (60.10 KB, text/plain)
2010-06-08 05:37 UTC, Gerard Fernandes
no flags Details
Xorg logs (60.91 KB, text/plain)
2010-06-08 05:37 UTC, Gerard Fernandes
no flags Details
Xorg logs (43.85 KB, text/plain)
2010-06-08 05:38 UTC, Gerard Fernandes
no flags Details
Xorg logs (29.89 KB, text/plain)
2010-06-08 05:38 UTC, Gerard Fernandes
no flags Details

Description Travis Wenks 2010-05-25 22:22:50 UTC
abrt 1.1.0 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: compiz --ignore-desktop-hints glib gconf gnomecompat --replace
component: compiz
crash_function: i830_emit_state
executable: /usr/bin/compiz
global_uuid: 2b7b83c956c3b2402493d5bd4eae4e8a5b38763c
kernel: 2.6.33.3-85.fc13.i686
package: compiz-0.8.6-1.fc13
rating: 4
reason: Process /usr/bin/compiz was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1.enables compiz via desktop effects
2.
3.

Comment 1 Travis Wenks 2010-05-25 22:22:52 UTC
Created attachment 416576 [details]
File: backtrace

Comment 2 Gerard Fernandes 2010-06-05 09:15:43 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Select Preferences/desktop-effects
2. Try to enable Desktop effects

Compiz crashes


Comment
-----
Compiz crashes when attempting to enable Desktop effects

Comment 3 Jeff Raber 2010-06-08 02:35:12 UTC
*** Bug 600829 has been marked as a duplicate of this bug. ***

Comment 4 Jeff Raber 2010-06-08 02:35:22 UTC
*** Bug 600533 has been marked as a duplicate of this bug. ***

Comment 5 Jeff Raber 2010-06-08 02:35:27 UTC
*** Bug 599580 has been marked as a duplicate of this bug. ***

Comment 6 Jeff Raber 2010-06-08 02:35:33 UTC
*** Bug 598628 has been marked as a duplicate of this bug. ***

Comment 7 Jeff Raber 2010-06-08 02:35:36 UTC
*** Bug 598352 has been marked as a duplicate of this bug. ***

Comment 8 Jeff Raber 2010-06-08 02:35:42 UTC
*** Bug 598176 has been marked as a duplicate of this bug. ***

Comment 9 Jeff Raber 2010-06-08 02:35:48 UTC
*** Bug 597459 has been marked as a duplicate of this bug. ***

Comment 10 Jeff Raber 2010-06-08 02:35:54 UTC
*** Bug 597345 has been marked as a duplicate of this bug. ***

Comment 11 Jeff Raber 2010-06-08 02:36:03 UTC
*** Bug 597231 has been marked as a duplicate of this bug. ***

Comment 12 Jeff Raber 2010-06-08 02:37:06 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 13 Gerard Fernandes 2010-06-08 05:36:30 UTC
Created attachment 422030 [details]
dmesg output

output from dmesg

Comment 14 Gerard Fernandes 2010-06-08 05:37:25 UTC
Created attachment 422032 [details]
Xorg logs

Xorg logs

Comment 15 Gerard Fernandes 2010-06-08 05:37:48 UTC
Created attachment 422033 [details]
Xorg logs

Xorg logs

Comment 16 Gerard Fernandes 2010-06-08 05:38:09 UTC
Created attachment 422034 [details]
Xorg logs

Xorg logs

Comment 17 Gerard Fernandes 2010-06-08 05:38:36 UTC
Created attachment 422035 [details]
Xorg logs

Xorg logs

Comment 18 Gerard Fernandes 2010-06-08 05:39:05 UTC
No xorg.conf to attach. Dmesg output and xorg logs attached.

Comment 19 Dananjaya Ramanayake 2010-06-15 04:01:53 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Go to System > Preferences > Desktop Effects
2. Select Compiz 
3.


Comment
-----
Tried to enable Compiz, Window borders disappeared and Program Crashed.

Comment 20 Jeff Raber 2010-06-15 07:05:40 UTC
All;  It would be great if everyone experiencing this issue could comment with the relevant information from the output produced by 'lspci -nn'.  This could help to identify which models are affected, which could lead to a quicker fix.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 21 Jeff Raber 2010-06-15 07:07:23 UTC
*** Bug 602758 has been marked as a duplicate of this bug. ***

Comment 22 Jeff Raber 2010-06-15 07:08:11 UTC
*** Bug 603607 has been marked as a duplicate of this bug. ***

Comment 23 Peter Hjalmarsson 2010-06-15 07:20:06 UTC
$ lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3580] (rev 02)
00:00.1 System peripheral [0880]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3584] (rev 02)
00:00.3 System peripheral [0880]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3585] (rev 02)
00:02.0 VGA compatible controller [0300]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02)
00:02.1 Display controller [0380]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 [8086:24c2] (rev 01)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 [8086:24c4] (rev 01)
00:1d.2 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 [8086:24c7] (rev 01)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller [8086:24cd] (rev 01)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 81)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge [8086:24cc] (rev 01)
00:1f.1 IDE interface [0101]: Intel Corporation 82801DBM (ICH4-M) IDE Controller [8086:24ca] (rev 01)
00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller [8086:24c5] (rev 01)
00:1f.6 Modem [0703]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller [8086:24c6] (rev 01)
01:01.0 CardBus bridge [0607]: Texas Instruments PCI4510 PC card Cardbus Controller [104c:ac44] (rev 02)
01:01.1 FireWire (IEEE 1394) [0c00]: Texas Instruments PCI4510 IEEE-1394 Controller [104c:8029]
01:03.0 Network controller [0280]: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection [8086:4220] (rev 05)
01:08.0 Ethernet controller [0200]: Intel Corporation 82801DB PRO/100 VE (MOB) Ethernet Controller [8086:103d] (rev 81)

Comment 24 Gerard Fernandes 2010-06-15 21:11:33 UTC
lspci -nn

00:00.0 Host bridge [0600]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3580] (rev 02)
00:00.1 System peripheral [0880]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3584] (rev 02)
00:00.3 System peripheral [0880]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3585] (rev 02)
00:02.0 VGA compatible controller [0300]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02)
00:02.1 Display controller [0380]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 [8086:24c2] (rev 03)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 [8086:24c4] (rev 03)
00:1d.2 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 [8086:24c7] (rev 03)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller [8086:24cd] (rev 03)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 83)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge [8086:24cc] (rev 03)
00:1f.1 IDE interface [0101]: Intel Corporation 82801DBM (ICH4-M) IDE Controller [8086:24ca] (rev 03)
00:1f.3 SMBus [0c05]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller [8086:24c3] (rev 03)
00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller [8086:24c5] (rev 03)
00:1f.6 Modem [0703]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller [8086:24c6] (rev 03)
02:02.0 Ethernet controller [0200]: Broadcom Corporation BCM4401 100Base-T [14e4:4401] (rev 01)
02:04.0 Network controller [0280]: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection [8086:4220] (rev 05)
02:06.0 CardBus bridge [0607]: Texas Instruments PCIxx21/x515 Cardbus Controller [104c:8031]
02:06.2 FireWire (IEEE 1394) [0c00]: Texas Instruments OHCI Compliant IEEE 1394 Host Controller [104c:8032]
02:06.3 Mass storage controller [0180]: Texas Instruments PCIxx21 Integrated FlashMedia Controller [104c:8033]

Comment 25 Dananjaya Ramanayake 2010-06-16 01:51:50 UTC
00:00.0 Host bridge [0600]: Intel Corporation 82845G/GL[Brookdale-G]/GE/PE DRAM Controller/Host-Hub Interface [8086:2560] (rev 01)
00:02.0 VGA compatible controller [0300]: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device [8086:2562] (rev 01)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 [8086:24c2] (rev 01)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 [8086:24c4] (rev 01)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller [8086:24cd] (rev 01)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 81)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801DB/DBL (ICH4/ICH4-L) LPC Interface Bridge [8086:24c0] (rev 01)
00:1f.1 IDE interface [0101]: Intel Corporation 82801DB (ICH4) IDE Controller [8086:24cb] (rev 01)
00:1f.3 SMBus [0c05]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller [8086:24c3] (rev 01)
00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller [8086:24c5] (rev 01)
05:08.0 Ethernet controller [0200]: Intel Corporation 82801DB PRO/100 VM (LOM) Ethernet Controller [8086:103b] (rev 81)

Comment 26 Uno Engborg 2010-07-01 07:49:58 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Turn on desktop effects (I guess it is in this step the bug actually happened)
2. Notices that it doesn't work, i.e. you get no window decorations
3.Select old settings

Comment 27 Adel Gadllah 2010-07-03 12:33:09 UTC
*** Bug 609205 has been marked as a duplicate of this bug. ***

Comment 28 Adel Gadllah 2010-07-03 12:33:30 UTC
*** Bug 608730 has been marked as a duplicate of this bug. ***

Comment 29 Adel Gadllah 2010-07-03 12:33:45 UTC
*** Bug 608479 has been marked as a duplicate of this bug. ***

Comment 30 Adel Gadllah 2010-07-03 12:34:03 UTC
*** Bug 608427 has been marked as a duplicate of this bug. ***

Comment 31 Adel Gadllah 2010-07-03 12:34:17 UTC
*** Bug 607703 has been marked as a duplicate of this bug. ***

Comment 32 Adel Gadllah 2010-07-03 12:34:32 UTC
*** Bug 607339 has been marked as a duplicate of this bug. ***

Comment 33 Adel Gadllah 2010-07-03 12:34:46 UTC
*** Bug 606232 has been marked as a duplicate of this bug. ***

Comment 34 Adel Gadllah 2010-07-03 12:35:00 UTC
*** Bug 605910 has been marked as a duplicate of this bug. ***

Comment 35 Adel Gadllah 2010-07-03 12:35:17 UTC
*** Bug 604946 has been marked as a duplicate of this bug. ***

Comment 36 Adel Gadllah 2010-07-03 12:35:33 UTC
*** Bug 604642 has been marked as a duplicate of this bug. ***

Comment 37 Adel Gadllah 2010-07-03 12:35:47 UTC
*** Bug 604285 has been marked as a duplicate of this bug. ***

Comment 38 Adel Gadllah 2010-07-03 12:36:04 UTC
*** Bug 604252 has been marked as a duplicate of this bug. ***

Comment 39 Eddie Lania 2010-07-05 15:05:17 UTC
00:00.0 Host bridge [0600]: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface [8086:2570] (rev 02)
00:02.0 VGA compatible controller [0300]: Intel Corporation 82865G Integrated Graphics Controller [8086:2572] (rev 02)
00:06.0 System peripheral [0880]: Intel Corporation 82865G/PE/P Processor to I/O Memory Interface [8086:2576] (rev 02)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 [8086:24d2] (rev 02)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 [8086:24d4] (rev 02)
00:1d.2 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3 [8086:24d7] (rev 02)
00:1d.3 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4 [8086:24de] (rev 02)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller [8086:24dd] (rev 02)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev c2)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge [8086:24d0] (rev 02)
00:1f.1 IDE interface [0101]: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller [8086:24db] (rev 02)
00:1f.2 IDE interface [0101]: Intel Corporation 82801EB (ICH5) SATA Controller [8086:24d1] (rev 02)
00:1f.3 SMBus [0c05]: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller [8086:24d3] (rev 02)
00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller [8086:24d5] (rev 02)
01:00.0 RAID bus controller [0104]: Promise Technology, Inc. PDC20271 (FastTrak TX2000) [105a:6269] (rev 02)
01:08.0 Ethernet controller [0200]: Intel Corporation 82562EZ 10/100 Ethernet Controller [8086:1050] (rev 01)

Comment 40 Szabo Akos 2010-07-09 20:15:21 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Try to turn on copmiz with desktop-effects
2.
3.


Comment
-----
Nothing unusual, just use desktop-effects

Comment 41 Szabo Akos 2010-07-09 20:19:48 UTC
lscpi -nn output, or PLS see http://www.smolts.org/client/show/pub_b684b09c-afb6-41d8-95ce-3739173efde5 :

00:00.0 Host bridge [0600]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3580] (rev 02)
00:00.1 System peripheral [0880]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3584] (rev 02)
00:00.3 System peripheral [0880]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3585] (rev 02)
00:02.0 VGA compatible controller [0300]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02)
00:02.1 Display controller [0380]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 [8086:24c2] (rev 03)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 [8086:24c4] (rev 03)
00:1d.2 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 [8086:24c7] (rev 03)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller [8086:24cd] (rev 03)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 83)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge [8086:24cc] (rev 03)
00:1f.1 IDE interface [0101]: Intel Corporation 82801DBM (ICH4-M) IDE Controller [8086:24ca] (rev 03)
00:1f.3 SMBus [0c05]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller [8086:24c3] (rev 03)
00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller [8086:24c5] (rev 03)
00:1f.6 Modem [0703]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller [8086:24c6] (rev 03)
01:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ [10ec:8139] (rev 10)
01:04.0 Network controller [0280]: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection [8086:4220] (rev 05)
01:05.0 CardBus bridge [0607]: Ricoh Co Ltd RL5c476 II [1180:0476] (rev ac)
01:05.1 CardBus bridge [0607]: Ricoh Co Ltd RL5c476 II [1180:0476] (rev ac)
01:05.2 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd R5C552 IEEE 1394 Controller [1180:0552] (rev 04)

Comment 42 Jeff Raber 2010-07-13 00:17:07 UTC
*** Bug 611928 has been marked as a duplicate of this bug. ***

Comment 43 Jeff Raber 2010-07-13 00:17:15 UTC
*** Bug 612147 has been marked as a duplicate of this bug. ***

Comment 44 Jeff Raber 2010-07-13 00:17:24 UTC
*** Bug 613403 has been marked as a duplicate of this bug. ***

Comment 45 hadmanysons 2010-07-17 21:53:00 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.open desktop effects
2.select 3d effects
3.fail


Comment
-----
Also fails in Ubuntu 10.04, for what that's worth

Comment 46 Peter Ryzhenkov 2010-08-11 11:28:58 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I have the following videocard:
  *-display:0             
       description: VGA compatible controller
       product: 82852/855GM Integrated Graphics Device
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 02
       width: 32 bits
       clock: 33MHz
       capabilities: vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:10 memory:b0000000-b7ffffff(prefetchable) memory:f0000000-f007ffff ioport:e000(size=8)
  *-display:1 UNCLAIMED
       description: Display controller
       product: 82852/855GM Integrated Graphics Device
       vendor: Intel Corporation
       physical id: 2.1
       bus info: pci@0000:00:02.1
       version: 02
       width: 32 bits
       clock: 33MHz
       capabilities: cap_list
       configuration: latency=0
       resources: memory:30000000-37ffffff(prefetchable) memory:38000000-3807ffff

2. I try to turn on the desktop effects and this crash occurs

Comment 47 Adel Gadllah 2010-08-21 07:42:28 UTC
*** Bug 586236 has been marked as a duplicate of this bug. ***

Comment 48 Stuart D Gathman 2010-08-21 16:27:22 UTC
There is a regression from F12 -> F13.  I have an 82865G on two desktops (home and office).  On F12, compiz works great.  On F13, it crashes (see bug 620119 for details).  Also, xvideo requires "nomodeset" on F12 (and compiz still works with nomodeset).  However, "nomodeset" hangs the boot process on F13 (and xvideo is still not present without it).  Xvideo and compiz worked on this chipset in F10 also.

While some developers scorn compiz as "eye candy" (and the rotating desktops arguably is "eye candy" - but impressive to bystanders), one feature is almost essential - with dozens of windows open on many systems, the compiz window selector (cursor in upper right corner) is the fastest and most intuitive way to grab the one I need at the moment.  The Window Selector applet is a distant second.

Output of lspci -nn on home desktop:
00:00.0 Host bridge [0600]: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface [8086:2570] (rev 02)
00:02.0 VGA compatible controller [0300]: Intel Corporation 82865G Integrated Graphics Controller [8086:2572] (rev 02)
00:06.0 System peripheral [0880]: Intel Corporation 82865G/PE/P Processor to I/O Memory Interface [8086:2576] (rev 02)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 [8086:24d2] (rev 02)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 [8086:24d4] (rev 02)
00:1d.2 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3 [8086:24d7] (rev 02)
00:1d.3 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4 [8086:24de] (rev 02)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller [8086:24dd] (rev 02)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev c2)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge [8086:24d0] (rev 02)
00:1f.1 IDE interface [0101]: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller [8086:24db] (rev 02)
00:1f.2 IDE interface [0101]: Intel Corporation 82801EB (ICH5) SATA Controller [8086:24d1] (rev 02)
00:1f.3 SMBus [0c05]: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller [8086:24d3] (rev 02)
01:07.0 Multimedia audio controller [0401]: S3 Inc. SonicVibes [5333:ca00]
01:0c.0 Ethernet controller [0200]: Intel Corporation 82540EM Gigabit Ethernet Controller [8086:100e] (rev 02)


Output of lspci -nn on office desktop:
00:00.0 Host bridge [0600]: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface [8086:2570] (rev 02)
00:02.0 VGA compatible controller [0300]: Intel Corporation 82865G Integrated Graphics Controller [8086:2572] (rev 02)
00:06.0 System peripheral [0880]: Intel Corporation 82865G/PE/P Processor to I/O Memory Interface [8086:2576] (rev 02)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 [8086:24d2] (rev 02)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 [8086:24d4] (rev 02)
00:1d.3 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4 [8086:24de] (rev 02)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller [8086:24dd] (rev 02)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev c2)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge [8086:24d0] (rev 02)
00:1f.1 IDE interface [0101]: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller [8086:24db] (rev 02)
00:1f.2 IDE interface [0101]: Intel Corporation 82801EB (ICH5) SATA Controller [8086:24d1] (rev 02)
00:1f.3 SMBus [0c05]: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller [8086:24d3] (rev 02)
00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller [8086:24d5] (rev 02)
01:08.0 Ethernet controller [0200]: Intel Corporation 82562EZ 10/100 Ethernet Controller [8086:1050] (rev 02)

Comment 49 Adel Gadllah 2010-08-23 17:48:31 UTC
*** Bug 626154 has been marked as a duplicate of this bug. ***

Comment 50 Jussi Eloranta 2010-08-29 13:32:47 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. attempt to enable compiz desktop effects.
2.
3.

Comment 51 Michal Nowak 2010-09-03 17:26:11 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Desktop Effects -> Compiz

Comment
-----
I have Intel 855GM graphics.

Comment 52 Michal Nowak 2010-09-03 17:32:34 UTC
Has anyone experiencing this problem something newer than Intel 865? Anyone tested xorg-x11-drv-intel-2.12.0 (there's F-13 build in Koji)?

Comment 53 Szabo Akos 2010-09-03 19:25:26 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Try to enable compiz
2. crash
3.

Comment 54 Jussi Eloranta 2010-09-04 04:09:53 UTC
> Anyone tested xorg-x11-drv-intel-2.12.0 (there's F-13 build in Koji)?


I just tried this version from koji but it did not make any difference - the bug persists. I have the following:

00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)

Comment 55 Stuart D Gathman 2010-09-11 02:26:03 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Update
2. Reboot
3. Attempt to select compiz in Desktop Effects


Comment
-----
Checking whether kernel-2.6.34.6-54.fc13.i686 makes a difference.

Comment 56 John McNulty 2010-09-12 22:03:16 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
I've just upgraded from f12 to f13 as per the instructions in the YumUpgradeFaq on the fedoraproject Wiki.
On reboot and logging into my own account for the first time compiz crashed and continues to crash.  I have
not yet tried creating another vanilla account to see if this occurs with a default acccount config.

Comment 57 Piscium 2010-09-12 22:38:33 UTC
> I've just upgraded from f12 to f13 as per the instructions in the YumUpgradeFaq
> on the fedoraproject Wiki.
> On reboot and logging into my own account for the first time compiz crashed and
> continues to crash.  I have
> not yet tried creating another vanilla account to see if this occurs with a
> default acccount config.

Welcome to the club. Compiz also worked fine with me on F12 but never on F13, likely due to an issue with the Intel graphics driver, or an incompatibility with some other module.

Comment 58 John McNulty 2010-09-13 20:55:17 UTC
Hmm, no point in trying this in another account then.  I didn't get to see this Bugzilla until after ABRT had done it's job.  As requested earlier, below is my lspci output.  

Note, I have 3 identical systems in my lab this will affect, and a newer Compaq Elite 8000 running F12 that I was going to upgrade but now won't.  All are configured with Compiz to ape the "Expose" functionality on Mac OS X, and have been for years now. 

Any news on whether this problem is being actively investigated? 

$ lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface [8086:2570] (rev 02)
00:02.0 VGA compatible controller [0300]: Intel Corporation 82865G Integrated Graphics Controller [8086:2572] (rev 02)
00:06.0 System peripheral [0880]: Intel Corporation 82865G/PE/P Processor to I/O Memory Interface [8086:2576] (rev 02)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 [8086:24d2] (rev 02)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 [8086:24d4] (rev 02)
00:1d.2 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3 [8086:24d7] (rev 02)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller [8086:24dd] (rev 02)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev c2)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge [8086:24d0] (rev 02)
00:1f.1 IDE interface [0101]: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller [8086:24db] (rev 02)
00:1f.2 IDE interface [0101]: Intel Corporation 82801EB (ICH5) SATA Controller [8086:24d1] (rev 02)
00:1f.3 SMBus [0c05]: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller [8086:24d3] (rev 02)
00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller [8086:24d5] (rev 02)
05:02.0 Ethernet controller [0200]: Broadcom Corporation NetXtreme BCM5782 Gigabit Ethernet [14e4:1696] (rev 03)
05:04.0 Ethernet controller [0200]: Atheros Communications Inc. Atheros AR5001X+ Wireless Network Adapter [168c:0013] (rev 01)
05:09.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet [10ec:8169] (rev 10)

Comment 59 Michal Nowak 2010-09-14 06:57:15 UTC
I tend to think no maintainer ever investigated it. Is it really bug in xorg-x11-drv-intel (I guess it it since the bug is present on Intel 842 -> 865 only) or is it in compiz issue? Anyone tried the compiz-0.9.2, the soon-to-be-released version?

Comment 60 Eddie Lania 2010-09-14 20:42:56 UTC
When I open firefox while compiz enabled and surf to http://www.weerplaza.nl/buienradar then the computer locks up without any output in syslog or xorg.log.

If I however disable compiz then I do not have this problem.

So maybe there is something wrong with compiz instead of the intel driver?

Just my two cents.

Comment 61 John McNulty 2010-09-14 21:19:44 UTC
Eddie, I think you're seeing a different problem. For us compiz (and only compiz) crashes. If we've all got the same problem then we should see the same by looking at the start of the crash backtrace files.  Compiz should be falling over in i830_emit_state. e.g.  

root@dsv01:~ # head /var/spool/abrt/ccpp*/backtrace
==> /var/spool/abrt/ccpp-1284327810-2362/backtrace <==
[New Thread 2362]
Core was generated by `compiz --ignore-desktop-hints ccp'.
Program terminated with signal 11, Segmentation fault.
#0  0x00fce437 in i830_emit_state (intel=0x87c86c8) at i830_vtbl.c:440
440	i830_vtbl.c: No such file or directory.
	in i830_vtbl.c

Thread 1 (Thread 2362):
#0  0x00fce437 in i830_emit_state (intel=0x87c86c8) at i830_vtbl.c:440
        i830 = 0x87c86c8

==> /var/spool/abrt/ccpp-1284327901-2707/backtrace <==
[New Thread 2707]
Core was generated by `compiz'.
Program terminated with signal 11, Segmentation fault.
#0  0x0111b437 in i830_emit_state (intel=0x88c5a08) at i830_vtbl.c:440
440	i830_vtbl.c: No such file or directory.
	in i830_vtbl.c

Thread 1 (Thread 2707):
#0  0x0111b437 in i830_emit_state (intel=0x88c5a08) at i830_vtbl.c:440
        i830 = 0x88c5a08


Just google around a bit for compiz and i830_emit_state and you'll find the folks at Gentoo and Ubuntu first started tripping over this nearly 2 years ago.  I wonder if they've got a fix yet (that doesn't involve a downgrade).

Comment 62 Michal Nowak 2010-09-30 08:24:41 UTC
Good news, perhaps. I just have tested the Intel Graphics Test Day's iso (https://fedoraproject.org/wiki/Test_Day:2010-09-30_Intel which is near to what is in F-14 Beta, I guess) yesterday and compiz worked as expected, as well as GLX & Xv. However I am not sure what change fixed it; kernel, compiz, X, ...?

Can anyone run the test day to verify it's not fixed just for me?

Comment 63 Stuart D Gathman 2010-09-30 18:26:09 UTC
I ran the test day, and compiz works again, with all tests passing when run in the order given.  Yay!  However, with compiz running first, there is a several minutes delay switching to a VT or user.
  
https://bugzilla.redhat.com/show_bug.cgi?id=595924

Comment 64 fisher_217 2010-10-11 19:00:10 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.opened up compiz and it crashed...this is a new fedora 13 install on its own hard drive
2.
3.

Comment 65 fisher_217 2010-10-11 19:03:34 UTC
[root@Fedora-13 ~]# lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation 82845G/GL[Brookdale-G]/GE/PE DRAM Controller/Host-Hub Interface [8086:2560] (rev 03)
00:02.0 VGA compatible controller [0300]: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device [8086:2562] (rev 03)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 [8086:24c2] (rev 02)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 [8086:24c4] (rev 02)
00:1d.2 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 [8086:24c7] (rev 02)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller [8086:24cd] (rev 02)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 82)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801DB/DBL (ICH4/ICH4-L) LPC Interface Bridge [8086:24c0] (rev 02)
00:1f.1 IDE interface [0101]: Intel Corporation 82801DB (ICH4) IDE Controller [8086:24cb] (rev 02)
00:1f.3 SMBus [0c05]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller [8086:24c3] (rev 02)
00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller [8086:24c5] (rev 02)
03:0a.0 Ethernet controller [0200]: Broadcom Corporation BCM4401 100Base-T [14e4:4401] (rev 01)
03:0b.0 Network controller [0280]: Intersil Corporation Prism 2.5 Wavelan chipset [1260:3873] (rev 01)
[root@Fedora-13 ~]#

Comment 66 Jim 2010-10-14 12:41:24 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. simply clicked on "compiz" desktop
2. red "crash report" appeared in top right corner
3.


Comment
-----
Just downloaded Fedora 13 yesterday, am still trying to get used to it.  Am a newbe to Linux in general.

Comment 67 Piscium 2010-10-14 20:32:20 UTC
My favorite screensaver collection, RSS, does not work on F13 (though it worked on F12, just like compiz). I am wondering if the RSS issue is related to the compiz issue, that is, if both are due to a problem in the Intel graphics driver.

Would some of you like to install RSS and see if it works, and if not add a note to its bug report? Your reward will be that if it works, you will have a nice set of screensavers to enjoy!

This is the RSS bug description:
https://bugzilla.redhat.com/show_bug.cgi?id=601069

I am running Gnome, but I would think that if the problem is due to the Intel driver it would also affect KDE.

For Gnome users:
yum install rss-glx-gnome-screensaver

For KDE users:
yum install rss-glx-kde

Comment 68 Jim 2010-10-16 13:55:14 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  Just clicked on Change Compiz
2.
3.

Comment 69 Jim 2010-10-16 14:27:09 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Got further this time - compiz appeared to load
2. Then got "error" and bug screen
3.

Comment 70 Jim 2010-10-16 14:31:30 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Got further this time - compiz appeared to load
2. Then got "error" and bug screen
3. Rebooted, error showed on start up

Comment 71 Bala 2010-10-16 15:40:56 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Tried to activate desktop effects and Compiz crashed
2.
3.

Comment 72 Denis 2010-10-23 15:21:01 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. enable compiz
2.
3.


Comment
-----
kernel-2.6.34.7-61.fc13.i686
compiz-0.8.6-1.fc13.i686
xorg-x11-drv-intel-2.11.0-5.fc13.i686
libdrm-2.4.21-2.fc13.i686

00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)


if i boot kernel with nomodeset parameter then the all system stuck in X booting ,with no option to see what happens(kernel panic?)

Comment 73 Stefano Bianchi 2010-11-03 17:05:08 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Switched to Compiz
2.
3.

Comment 74 Denis 2010-11-05 13:32:06 UTC
after upgrading to Fedora14 compiz working without crashing, only little slow then supposed to be

Comment 75 jesonlay 2010-11-21 13:58:20 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.start desktop-effects
2.
3.

Comment 76 George Del Monte 2010-11-26 13:44:07 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Selected System/Preferences/Desktop Effects
2. Clicked on Compiz radio button
3. Trouble began, ending with offer to create a bug report.


Comment
-----
It would take only the steps above to reproduce the bug.

Comment 77 Hamidou Dia 2010-12-09 15:17:43 UTC
*** Bug 583794 has been marked as a duplicate of this bug. ***

Comment 78 George Del Monte 2011-01-26 03:19:29 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Selected System/Preferences/Desktop Effects
2. Clicked on Compiz radio button
3. Trouble began, ending with offer to create a bug report.
Upgrades were being downloaded, when the error message appeared.

Comment
-----
It would take only the steps above to reproduce the bug.

Comment 79 Bug Zapper 2011-06-02 13:30:07 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 80 Bug Zapper 2011-06-27 16:39:33 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.